Account

Add wallet

POST
/account.external.web3.add

Request Body

application/jsonRequired
addressRequiredstring
typeRequiredstring
Value in: "evm" | "tvm"
nicknamestring
recipient_idstring

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

dataRequiredWEB3

Error response

TypeScript Definitions

Use the response body type in TypeScript.

errorRequiredobject
curl -X POST "/v1/account.external.web3.add" \
  -H "Content-Type: application/json" \
  -d '{
    "address": "string",
    "type": "evm",
    "nickname": "string",
    "recipient_id": "string"
  }'
const body = JSON.stringify({
  "address": "string",
  "type": "evm",
  "nickname": "string",
  "recipient_id": "string"
})

fetch("/v1/account.external.web3.add", {
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "/v1/account.external.web3.add"
  body := strings.NewReader(`{
    "address": "string",
    "type": "evm",
    "nickname": "string",
    "recipient_id": "string"
  }`)
  req, _ := http.NewRequest("POST", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "/v1/account.external.web3.add"
body = {
  "address": "string",
  "type": "evm",
  "nickname": "string",
  "recipient_id": "string"
}
response = requests.request("POST", url, json = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
{
  "data": {
    "type": "WEB3",
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "is_active": true,
    "metadata": {
      "is_hidden": true,
      "address": "string",
      "type": "evm",
      "nickname": "string",
      "connector": {
        "id": "string",
        "name": "string",
        "icon": "string"
      },
      "has_transactions": true,
      "is_custodial": true
    },
    "account_id": "string",
    "user_id": "string"
  }
}
{
  "error": {
    "code": "PARSE_ERROR",
    "message": "string"
  }
}